-- ----------------------------
--  table structure for family_help
-- ----------------------------
drop table if exists family_help;
create table family_help (
help_id           bigint(20)          not null default 0      COMMENT '求助id',
family_id         bigint(20)          not null default 0      COMMENT '家庭id',
help_to           varchar(20)         not null default 0      COMMENT '求助对象 1 居委会 2 业委会 3 物业 4 志愿者',
/*help_to1          varchar(20)         not null default 0      COMMENT '求助对象 1 居委会 2 业委会 3 物业 4 志愿者',
help_to2          varchar(20)         not null default 0      COMMENT '求助对象 1 居委会 2 业委会 3 物业 4 志愿者',
help_to3          varchar(20)         not null default 0      COMMENT '求助对象 1 居委会 2 业委会 3 物业 4 志愿者',
help_to4          varchar(20)         not null default 0      COMMENT '求助对象 1 居委会 2 业委会 3 物业 4 志愿者',*/
/*help_title        varchar(20)         not null default ''     COMMENT '求助标题',*/
help_type         int                 NOT NULL DEFAULT 0      COMMENT '求助类型：1生活必需品，2医药求助，3其他求助',
help_content      varchar(200)        not null default ''     COMMENT '求助内容',
help_status       int                 not null default 1      COMMENT '求助状态  1 已解决  2 未解决 3 完成求助',
/*help_score        int                 not null default 0      COMMENT '求助星个数  最多为5  默认为0',
help_evaluate     varchar(200)        not null default ''     COMMENT '求助评价',*/
user_id          bigint(20)           NOT NULL DEFAULT 0      COMMENT '用户ID',



handle_status     int                 not null default 0      COMMENT '处理状态 1 处理中 2 处理完毕',


user_create       bigint(20)          not null default '0'    COMMENT '新增人',
time_create       datetime            not null default current_timestamp COMMENT '新增时间',
user_update       bigint(20)          not null default '0' COMMENT '修改人',
time_update       datetime            not null default current_timestamp on update current_timestamp COMMENT '修改时间',
primary key (help_id)
)
engine=innodb
default charset=utf8
comment='家庭求助信息表';

-- ----------------------------
-- Table structure for re_help_reply
-- ----------------------------
DROP TABLE IF EXISTS re_help_reply;
CREATE TABLE re_help_reply  (
reply_id          bigint(20)          NOT NULL DEFAULT 0      COMMENT '回复ID',
help_id           bigint(20)          NOT NULL DEFAULT 0      COMMENT '求助ID',
user_id           bigint(20)          NOT NULL DEFAULT 0      COMMENT '用户ID',
reply_content     varchar(100)        NOT NULL DEFAULT ''      COMMENT '回复内容',
user_create       bigint(20)          NOT NULL DEFAULT 0      COMMENT '新增人',
time_create       datetime(0)         NOT NULL DEFAULT CURRENT_TIMESTAMP(0) COMMENT '新增时间',
user_update       bigint(20)          NOT NULL DEFAULT 0      COMMENT '修改人',
time_update       datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0) ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '修改时间',
PRIMARY KEY (reply_id) USING BTREE
) ENGINE = InnoDB default charset=utf8 comment = '家庭求助回复表';

