package com.yvan.mvc;

import com.yvan.springmvc.HttpParameterParser;
import org.springframework.core.MethodParameter;
import org.springframework.web.bind.support.WebDataBinderFactory;
import org.springframework.web.context.request.NativeWebRequest;
import org.springframework.web.method.support.HandlerMethodArgumentResolver;
import org.springframework.web.method.support.ModelAndViewContainer;

import javax.servlet.http.HttpServletRequest;

public class ParameterParserResolver implements HandlerMethodArgumentResolver {
    //HttpParameterParser

    @Override
    public boolean supportsParameter(MethodParameter parameter) {
        return (parameter.getParameterType() == HttpParameterParser.class);
    }

    @Override
    public Object resolveArgument(MethodParameter parameter, ModelAndViewContainer mavContainer, NativeWebRequest webRequest, WebDataBinderFactory binderFactory) throws Exception {
        HttpServletRequest request = (HttpServletRequest) webRequest.getNativeRequest();
        return HttpParameterParser.newInstance(request);
    }
}
